Exchange Adapters
=================

The exchange adapter system provides a unified interface for trading on multiple cryptocurrency exchanges.

Base Exchange Adapter
---------------------

.. automodule:: src.exchanges.base
   :members:
   :undoc-members:
   :show-inheritance:

Exchange Factory
----------------

.. automodule:: src.exchanges.factory
   :members:
   :undoc-members:
   :show-inheritance:

Coinbase Exchange
-----------------

.. automodule:: src.exchanges.coinbase
   :members:
   :undoc-members:
   :show-inheritance:

WebSocket Support
-----------------

The Coinbase adapter includes WebSocket subscription methods:

- ``subscribe_ticker()``: Subscribe to real-time price updates
- ``subscribe_orderbook()``: Subscribe to order book changes  
- ``subscribe_trades()``: Subscribe to trade executions

These methods support real-time data streaming for UI updates.

